Bug 1367814 (CVE-2015-8953) - CVE-2015-8953 kernel: overlayfs: Double dentry reference leak in copy-up failure
Summary: CVE-2015-8953 kernel: overlayfs: Double dentry reference leak in copy-up failure
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-8953
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160823,repor...
Depends On: 1370467
Blocks: 1367816
TreeView+ depends on / blocked
 
Reported: 2016-08-17 14:29 UTC by Adam Mariš
Modified: 2019-06-08 21:23 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's implementation of overlayfs. An attacker can leak file resources in the system by opening a large file with write permissions on a overlay filesystem that is insufficient to deal with the size of the write. When unmounting the underlying device, the system is unable to free an inode and this will consume resources. Repeating this for all available inodes and memory will create a denial of service situation.
Clone Of:
Environment:
Last Closed: 2016-11-04 18:43:44 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-08-17 14:29:28 UTC
A flaw was found in the Linux kernels implementation of overlayfs.  An attacker can leak a file resources in the system by opening a large file with write permissions on a overlay filesystem that is insufficient to deal with the size of the write.

When unmounting the underlying device, the system is unable to free an inode and this will consume resources.  Repeating this for all available inodes and memory will create a denial of service situation.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1261073

Upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=ab79efab0a0ba01a74df782eb7fa44b044dae8b5

Comment 2 Andrej Nemec 2016-08-26 08:19:16 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q3/377

Comment 3 Andrej Nemec 2016-08-26 12:22:27 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1370467]

Comment 4 Wade Mealing 2016-10-04 02:49:32 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux  7 and MRG-2. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 5 Wade Mealing 2016-10-04 02:53:40 UTC
Acknowledgements:

Name: CAI Qian (Red Hat Engineering)


Note You need to log in before you can comment on or make changes to this bug.